Interlaken
API referenceApplicationsGitHub

Create a repository on the connected GitHub account (auto-initialized so it has a default branch)

POST
/api/v1/github/repos

Requires the workspaces:create permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/github/repos" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "default_branch": "string",  "description": "string",  "full_name": "string",  "html_url": "string",  "private": true,  "pushed_at": "2019-08-24T14:15:22Z"}